2018-12-17 06:12 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005446Talerexchangepublic2018-11-04 16:21
ReporterFlorian Dold 
Assigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005446: auditor should count number of coins seen, not just their value
Description... in order to do denomination key revocation correctly.

In particular, only counting the value seen allows the adversary to only deposit a small amount of each forged coin, and then use the emergency recovery protocol (once 0005445 is implemented) to make a large profit.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0005445assignedChristian Grothoff emergency payback protocol should support refreshed coins 
+Relationships

-Notes

~0013291

Christian Grothoff (manager)

count_known_coins() now exists in exchangedb.
num_issued was added to the 'struct DenominationSummary' in taler-auditor (and auditordb).

What is missing is the logic to check that the two are (in)consistent and to extend the reporting logic accordingly.

~0013318

Christian Grothoff (manager)

Fixed in 33441042..332341cb
+Notes

-Issue History
Date Modified Username Field Change
2018-09-28 10:45 Florian Dold New Issue
2018-09-28 10:45 Florian Dold Status new => assigned
2018-09-28 10:45 Florian Dold Assigned To => Christian Grothoff
2018-09-28 10:45 Florian Dold Relationship added related to 0005445
2018-10-06 15:09 Christian Grothoff Severity minor => feature
2018-10-28 11:39 Christian Grothoff Note Added: 0013291
2018-11-04 16:20 Christian Grothoff Note Added: 0013318
2018-11-04 16:21 Christian Grothoff Status assigned => resolved
2018-11-04 16:21 Christian Grothoff Resolution open => fixed
2018-11-04 16:21 Christian Grothoff Fixed in Version => 0.6
2018-11-04 16:21 Christian Grothoff Product Version => SVN HEAD
2018-11-04 16:21 Christian Grothoff Target Version => 0.6
+Issue History